"use strict";

var _ava = _interopRequireDefault(require("ava"));

var _Str = _interopRequireDefault(require("./Str"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _ava.default)('ucFirst', function (t) {
  t.is(_Str.default.ucFirst('foo'), 'Foo');
});
(0, _ava.default)('lcFirst', function (t) {
  t.is(_Str.default.lcFirst('Foo'), 'foo');
});
(0, _ava.default)('normalizePath', function (t) {
  t.is(_Str.default.normalizePath('/foo/bar/'), '/foo/bar');
  t.is(_Str.default.normalizePath('/foo//bar/'), '/foo/bar');
  t.is(_Str.default.normalizePath('/foo////bar/'), '/foo/bar');
});
(0, _ava.default)('joinPath', function (t) {
  t.is(_Str.default.joinPath('foo/', '/bar', 'baz'), '/foo/bar/baz');
});
(0, _ava.default)('removeTrailingSlash', function (t) {
  t.is(_Str.default.removeTrailingSlash('/'), '/');
  t.is(_Str.default.removeTrailingSlash('foo/'), 'foo');
  t.is(_Str.default.removeTrailingSlash('foo/bar'), 'foo/bar');
});
(0, _ava.default)('removeLeadingSlash', function (t) {
  t.is(_Str.default.removeLeadingSlash('/'), '/');
  t.is(_Str.default.removeLeadingSlash('foo/bar'), 'foo/bar');
  t.is(_Str.default.removeLeadingSlash('/foo/bar'), 'foo/bar');
  t.is(_Str.default.removeLeadingSlash('//foo/bar'), 'foo/bar');
});
(0, _ava.default)('forceTrailingSlash', function (t) {
  t.is(_Str.default.forceTrailingSlash('/'), '/');
  t.is(_Str.default.forceTrailingSlash('foo/bar'), 'foo/bar/');
  t.is(_Str.default.forceTrailingSlash('foo/bar/'), 'foo/bar/');
});
(0, _ava.default)('forceLeadingSlash', function (t) {
  t.is(_Str.default.forceLeadingSlash('/'), '/');
  t.is(_Str.default.forceLeadingSlash('foo/bar'), '/foo/bar');
  t.is(_Str.default.forceLeadingSlash('/foo/bar'), '/foo/bar');
});
(0, _ava.default)('endsWith', function (t) {
  t.is(_Str.default.endsWith('/foo/', '/'), true);
  t.is(_Str.default.endsWith('/foo/', '-'), false);
  t.is(_Str.default.endsWith('/foo', 'o'), true);
  t.is(_Str.default.endsWith('/foo', 'O'), false);
});
(0, _ava.default)('startsWith', function (t) {
  t.is(_Str.default.startsWith('/foo/', '/'), true);
  t.is(_Str.default.startsWith('/foo/', '-'), false);
  t.is(_Str.default.startsWith('foo', 'f'), true);
  t.is(_Str.default.startsWith('foo', 'F'), false);
});
(0, _ava.default)('leftPad', function (t) {
  t.is(_Str.default.leftPad(7, 3), '007');
  t.is(_Str.default.leftPad(17, 3), '017');
  t.is(_Str.default.leftPad(177, 3), '177');
  t.is(_Str.default.leftPad('a', 3), '00a');
  t.is(_Str.default.leftPad('a', 3, 'a'), 'aaa');
});